Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.plugins.dependency
Class KernelControllerContextActions.InstantiateAction

    java.lang.Object
      org.jboss.kernel.plugins.dependency.KernelControllerContextActions.KernelControllerContextAction
          org.jboss.kernel.plugins.dependency.KernelControllerContextActions.InstantiateAction

All Implemented Interfaces:
  org.jboss.dependency.plugins.spi.action.ControllerContextAction

Enclosing class:
  KernelControllerContextActions

public static class KernelControllerContextActions.InstantiateAction
extends KernelControllerContextActions.KernelControllerContextAction

The instantiate action

Field Summary

Fields inherited from class org.jboss.kernel.plugins.dependency.KernelControllerContextActions.KernelControllerContextAction
`log`

Constructor Summary
`KernelControllerContextActions.InstantiateAction()`

Method Summary
`void` | `installAction(KernelControllerContext context)`
`void` | `uninstallAction(KernelControllerContext context)`

Methods inherited from class org.jboss.kernel.plugins.dependency.KernelControllerContextActions.KernelControllerContextAction
`install, uninstall`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KernelControllerContextActions.InstantiateAction

    public KernelControllerContextActions.InstantiateAction()

Method Detail

### installAction

    public void installAction(KernelControllerContext context)
                       throws Throwable

  Overrides:
    `installAction` in class `KernelControllerContextActions.KernelControllerContextAction`
  Throws:
    `Throwable`

### uninstallAction

    public void uninstallAction(KernelControllerContext context)

  Overrides:
    `uninstallAction` in class `KernelControllerContextActions.KernelControllerContextAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.